Last Comment Bug 797385 - Blacklist ibm864 converter
: Blacklist ibm864 converter
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla19
Assigned To: Masatoshi Kimura [:emk]
:
:
Mentors:
Depends on:
Blocks: encoding
  Show dependency treegraph
 
Reported: 2012-10-03 09:13 PDT by Masatoshi Kimura [:emk]
Modified: 2012-10-17 01:56 PDT (History)
8 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Part 1: rename isXSSVlunerable flag to isInternal and add the flag to ibm864 (6.81 KB, patch)
2012-10-06 04:49 PDT, Masatoshi Kimura [:emk]
smontagu: review+
Details | Diff | Splinter Review
Part 2: Remove ibm864 usage (16.40 KB, patch)
2012-10-06 04:50 PDT, Masatoshi Kimura [:emk]
smontagu: review+
Details | Diff | Splinter Review
Part 3: Remove ibm864i converter (19.40 KB, patch)
2012-10-06 04:52 PDT, Masatoshi Kimura [:emk]
smontagu: review+
Details | Diff | Splinter Review
Part 3: Remove ibm864i converter. r=smontagu (30.75 KB, patch)
2012-10-09 10:27 PDT, Masatoshi Kimura [:emk]
VYV03354: review+
Details | Diff | Splinter Review
Fix Composer Save As Charset (969 bytes, patch)
2012-10-16 03:57 PDT, neil@parkwaycc.co.uk
smontagu: review+
VYV03354: feedback+
Details | Diff | Splinter Review

Description Masatoshi Kimura [:emk] 2012-10-03 09:13:46 PDT
Our current mapping is based on the Unicode.org table + euro sign. It is bad especially because it has incompatible with ASCII (0x25 to U+0664).
Comment 1 Masatoshi Kimura [:emk] 2012-10-03 09:15:24 PDT
If w3c bugzilla 19250 has been fixed, we'll stop exposing ibm864 to the Web. If it is wontfixed, we'll update the mapping.
Comment 2 Masatoshi Kimura [:emk] 2012-10-05 08:07:15 PDT
ibm864 has been removed from the spec.
Comment 3 Masatoshi Kimura [:emk] 2012-10-06 04:49:08 PDT
Created attachment 668764 [details] [diff] [review]
Part 1: rename isXSSVlunerable flag to isInternal and add the flag to ibm864

I renamed the flag because a flagged value is not always vulnerable to XSS anymore.
Comment 4 Masatoshi Kimura [:emk] 2012-10-06 04:50:30 PDT
Created attachment 668765 [details] [diff] [review]
Part 2: Remove ibm864 usage
Comment 5 Masatoshi Kimura [:emk] 2012-10-06 04:52:50 PDT
Created attachment 668766 [details] [diff] [review]
Part 3: Remove ibm864i converter

Ibm864i is our internal name solely for representing "logical" ibm864. It has no useful purpose anymore.
Comment 6 Henri Sivonen (:hsivonen) (Not reading bugmail or doing reviews until 2016-10-03) 2012-10-08 00:13:07 PDT
What are we using the decoder for? Why flag it instead of completely removing it?
Comment 7 Henri Sivonen (:hsivonen) (Not reading bugmail or doing reviews until 2016-10-03) 2012-10-08 00:14:17 PDT
(In reply to Henri Sivonen (:hsivonen) from comment #6)
> What are we using the decoder for? Why flag it instead of completely
> removing it?

Nevermind. Part 1 confused me.
Comment 8 Simon Montagu :smontagu 2012-10-09 00:57:55 PDT
Comment on attachment 668766 [details] [diff] [review]
Part 3: Remove ibm864i converter

Review of attachment 668766 [details] [diff] [review]:
-----------------------------------------------------------------

Please remove intl/uconv/ucvibm/864i.uf intl/uconv/ucvibm/864i.uf and 864i.ut also.
Comment 9 Masatoshi Kimura [:emk] 2012-10-09 10:27:05 PDT
Created attachment 669614 [details] [diff] [review]
Part 3: Remove ibm864i converter. r=smontagu

patch for checkin
Comment 10 Masatoshi Kimura [:emk] 2012-10-09 21:49:07 PDT
https://tbpl.mozilla.org/?tree=Try&rev=32642aa48750
Linux opt Moth failure seems to be unrelated to this patch.
Comment 11 Masatoshi Kimura [:emk] 2012-10-10 00:13:11 PDT
(In reply to Masatoshi Kimura [:emk] from comment #10)
> https://tbpl.mozilla.org/?tree=Try&rev=32642aa48750
> Linux opt Moth failure seems to be unrelated to this patch.
It looks like bug 798849.
Comment 14 neil@parkwaycc.co.uk 2012-10-16 03:57:56 PDT
Created attachment 671782 [details] [diff] [review]
Fix Composer Save As Charset

Editor uses NC:EncodersRoot which discovered an IBM864 encoder. As it wasn't marked as not for outgoing it tried to find a title for it. However bug 777292 accidentally made a missing charset title fatal, so the encoders list is empty.

I assume that we shouldn't be suggesting the IBM864 encoder in the first place.
Comment 15 neil@parkwaycc.co.uk 2012-10-17 01:56:18 PDT
Comment on attachment 671782 [details] [diff] [review]
Fix Composer Save As Charset

Pushed mozilla-central changeset 8f702f78a929.

Note You need to log in before you can comment on or make changes to this bug.